<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
    </head>
    <body>
        <main>
            <h1>Feeds</h1>
            {% for feed in feeds %}
                <section>
                    <h2>{{ feed.feed.title }}</h2>
                    <p>{{ feed.feed.description }} - total {{ feed.entries|length }}</p>
                    {% for entry in feed.entries %}
                        <article>
                            <h3>{{ entry.title }}</h3>
                            <p>{{ entry.description|safe }}</p>
                        </article>
                    {% endfor %}
                </section>
            {% endfor %}
        </main>
    </body>
</html>